Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.el
Class PropertyResolver

    java.lang.Object
      javax.faces.el.PropertyResolver

Deprecated. This has been replaced by `ELResolver`.

    public abstract class PropertyResolver

extends java.lang.Object

PropertyResolver represents a pluggable mechanism for accessing a "property" of an underlying Java object instance. Different `PropertyResolver` implementations can support property resolution on instances of different Java classes (such as introspection-based access to properties of a JavaBeans component, or `get()` and `put()` calls on a `java.util.Map` instance).

All implementations must respect the rules for JavaBeans component, `java.util.Map`, `java.util.List` and array instances defined for each method but are allowed to add custom semantics for other types.

Constructor Summary
`PropertyResolver()` Deprecated.

Method Summary
`abstract java.lang.Class` | `getType(java.lang.Object base, int index)` Deprecated. Return the `java.lang.Class` representing the type of the specified index.
`abstract java.lang.Class` | `getType(java.lang.Object base, java.lang.Object property)` Deprecated. Return the `java.lang.Class` representing the type of the specified property.
`abstract java.lang.Object` | `getValue(java.lang.Object base, int index)` Deprecated. Return the value at the specified index of the specified base object.
`abstract java.lang.Object` | `getValue(java.lang.Object base, java.lang.Object property)` Deprecated. Return the value of the specified property from the specified base object.
`abstract boolean` | `isReadOnly(java.lang.Object base, int index)` Deprecated. Checks if the specified index is read-only.
`abstract boolean` | `isReadOnly(java.lang.Object base, java.lang.Object property)` Deprecated. Checks if the specified property is read-only.
`abstract void` | `setValue(java.lang.Object base, int index, java.lang.Object value)` Deprecated. Set the value at the specified index of the specified base object.
`abstract void` | `setValue(java.lang.Object base, java.lang.Object property, java.lang.Object value)` Deprecated. Set the specified value of the specified property on the specified base object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyResolver

    public PropertyResolver()

  Deprecated.

Method Detail

### getValue

    public abstract java.lang.Object getValue(java.lang.Object base,
                                              java.lang.Object property)
                                       throws EvaluationException,
                                              PropertyNotFoundException

  Deprecated.

  Return the value of the specified property from the specified base object.

  For a bean base object, the property is coerced to a `String` and used as the property name. For all other base object types (e.g., a Map), the property is used without any coercing.

  Parameters:
    `base` - The base object whose property value is to be returned
    `property` - The property to be returned
  Returns:
    The property value, or `null` if `base` or `property` is `null`, or if the property doesn't exist and the base object is a `Map` instance
  Throws:
    `EvaluationException` - if an exception is thrown while getting the property value (the thrown exception must be included as the `cause` property of this exception)
    `PropertyNotFoundException` - if the specified property for a bean base object does not exist or is not readable

### getValue

    public abstract java.lang.Object getValue(java.lang.Object base,
                                              int index)
                                       throws EvaluationException,
                                              PropertyNotFoundException

  Deprecated.

  Return the value at the specified index of the specified base object.

  Parameters:
    `base` - The base object whose property value is to be returned
    `index` - The index of the value to return
  Returns:
    The property value, or `null` if `base` is `null`, or if the index is out of bounds for the base object
  Throws:
    `EvaluationException` - if an exception is thrown while getting the property value (the thrown exception must be included as the `cause` property of this exception)
    `PropertyNotFoundException` - if the index is out of bounds or if `base` is `null`

### setValue

    public abstract void setValue(java.lang.Object base,
                                  java.lang.Object property,
                                  java.lang.Object value)
                           throws EvaluationException,
                                  PropertyNotFoundException

  Deprecated.

  Set the specified value of the specified property on the specified base object.

  For a bean base object, the property is coerced to a `String` and used as the property name. For all other base object types (e.g., a Map), the property is used without any coercing.

  Parameters:
    `base` - The base object whose property value is to be set
    `property` - The property to be set
    `value` - The value of the property to be set
  Throws:
    `EvaluationException` - if an exception is thrown while setting the property value (the thrown exception must be included as the `cause` property of this exception)
    `PropertyNotFoundException` - if the specified bean base object property does not exist or is not writeable, or if `base` or `name` is `null`

### setValue

    public abstract void setValue(java.lang.Object base,
                                  int index,
                                  java.lang.Object value)
                           throws EvaluationException,
                                  PropertyNotFoundException

  Deprecated.

  Set the value at the specified index of the specified base object.

  Parameters:
    `base` - The base object whose property value is to be set
    `index` - The index of the value to set
    `value` - The value to be set
  Throws:
    `EvaluationException` - if an exception is thrown while setting the property value (the thrown exception must be included as the `cause` property of this exception)
    `PropertyNotFoundException` - if the index is out of bounds or if `base` is `null`

### isReadOnly

    public abstract boolean isReadOnly(java.lang.Object base,
                                       java.lang.Object property)
                                throws EvaluationException,
                                       PropertyNotFoundException

  Deprecated.

  Checks if the specified property is read-only.

  For a bean base object, the property is coerced to a `String` and used as the property name. For all other base object types (e.g., a Map), the property is used without any coercing.

  Parameters:
    `base` - The base object whose property is to be analyzed
    `property` - The property to be analyzed
  Returns:
    `true` if the specified property of the specified base object is known to be immutable; otherwise `false`
  Throws:
    `EvaluationException` - if an exception is thrown while testing the property (the thrown exception must be included as the `cause` property of this exception)
    `PropertyNotFoundException` - if the specified bean base object property does not exist or if `base` or `property` is `null`

### isReadOnly

    public abstract boolean isReadOnly(java.lang.Object base,
                                       int index)
                                throws EvaluationException,
                                       PropertyNotFoundException

  Deprecated.

  Checks if the specified index is read-only.

  Parameters:
    `base` - The base object whose property is to be analyzed
    `index` - The index of the value whose type is to be returned
  Returns:
    `true` if the value at the specified index of the specified base object is known to be immutable; otherwise, `false`
  Throws:
    `EvaluationException` - if an exception is thrown while testing the property (the thrown exception must be included as the `cause` property of this exception)
    `PropertyNotFoundException` - if the index is out of bounds or if `base` is `null`

### getType

    public abstract java.lang.Class getType(java.lang.Object base,
                                            java.lang.Object property)
                                     throws EvaluationException,
                                            PropertyNotFoundException

  Deprecated.

  Return the `java.lang.Class` representing the type of the specified property. An instance of any Object of that type my be set as the value of that property, as long as the property is not read-only. The actual value of the property, if non-null, is guaranteed to be an instance of this type, or an instance of a subclass of this type. This method is also useful for discovering the type of Objects that may be set as the value of the property.

  For a bean base object, the property is coerced to a `String` and used as the property name. For all other base object types (e.g., a Map), the property is used without any coercing.

  Parameters:
    `base` - The base object whose property is to be analyzed
    `property` - The property to be analyzed
  Returns:
    the `java.lang.Class` representing the type of the specified property of the specified base object, if it can be determined; otherwise `null`
  Throws:
    `EvaluationException` - if an exception is thrown while testing the property (the thrown exception must be included as the `cause` property of this exception)
    `PropertyNotFoundException` - if the specified bean base object property does not exist or if `base` or `property` is `null`

### getType

    public abstract java.lang.Class getType(java.lang.Object base,
                                            int index)
                                     throws EvaluationException,
                                            PropertyNotFoundException

  Deprecated.

  Return the `java.lang.Class` representing the type of the specified index.

  Parameters:
    `base` - The base object whose property is to be analyzed
    `index` - The index of the value whose type is to be returned
  Returns:
    The `java.lang.Class` representing the type of value at the specified index of the specified base object, if it can be determined; otherwise `null`
  Throws:
    `EvaluationException` - if an exception is thrown while testing the property (the thrown exception must be included as the `cause` property of this exception)
    `PropertyNotFoundException` - if the index is out of bounds or if `base` is `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.